VERSION 2.00
Begin Form frmMacro 
   Caption         =   "Macro List"
   ClientHeight    =   5085
   ClientLeft      =   1305
   ClientTop       =   1890
   ClientWidth     =   6510
   Height          =   5490
   HelpContextID   =   400
   Icon            =   RECMACRO.FRX:0000
   Left            =   1245
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   5085
   ScaleWidth      =   6510
   Top             =   1545
   Width           =   6630
   Begin ListBox lstMacros 
      Height          =   5100
      HelpContextID   =   400
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   6525
   End
   Begin CommonDialog cmFileDialog 
      Left            =   3150
      Top             =   2415
   End
   Begin PictureBox pctDummy 
      Height          =   540
      Left            =   525
      ScaleHeight     =   510
      ScaleWidth      =   510
      TabIndex        =   1
      Top             =   210
      Visible         =   0   'False
      Width           =   540
   End
End
'   RECMACRO.FRM
'   Source code module for RecEdit, Version 1.0
'   Copyright  1995 Ziff-Davis Publishing Company.
'   All rights reserved.
'   First appeared in PC Magazine, US Edition, October 24, 1995.
Option Explicit
DefInt A-Z

Sub Form_Activate ()
    If MacroCount > 0 Then
        frmMain.mnuEditDelMacro = True
    End If
    frmMain.mnuEditCut = False
    frmMain.mnuEditCopy = False
    frmMain.mnuEditPaste = False
End Sub

Sub Form_MouseDown (Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 2 Then Show_Help 400
End Sub

Sub Form_QueryUnload (Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = 0 Then
        frmMacro.WindowState = MINIMIZED
        Cancel = True
    End If
End Sub

Sub Form_Resize ()
Dim l, h, lh
Static loadflag
    If loadflag Then Exit Sub
    If WindowState = MINIMIZED Then Exit Sub
    loadflag = True
    lh = pctDummy.TextHeight("A")
    If Height < lh * 6 Then Height = lh * 6
    lstMacros.Width = ScaleWidth
    lstMacros.Height = ScaleHeight
    If WindowState = NORMAL Then
        If lstMacros.Height < ScaleHeight Then
            Height = Height - (ScaleHeight - lstMacros.Height)
        End If
    End If
    loadflag = False
    Set_Listbox_Pos lstMacros, pctDummy, -1
End Sub

Sub lstMacros_Click ()
Dim i
    If Num_Lists = 0 Then
        Exit Sub
    ElseIf Not (frmMain.ActiveForm Is frmMacro) Then
        Exit Sub
    Else
        For i = 1 To Num_Lists
            If EL_Data(i).m = lstMacros.ListIndex + 1 Then
                Cur_List = i
                Exit For
            End If
        Next i
    End If
End Sub

Sub lstMacros_DblClick ()
Dim m, i
    m = lstMacros.ListIndex + 1
    Cur_List = 0
    If Num_Lists Then
        For i = 1 To Num_Lists
            If EL_Data(i).m = m Then
                Cur_List = i
                Exit For
            End If
        Next i
    End If
    If Cur_List = 0 Then Build_Event_List m
    If EL_Forms(Cur_List).WindowState = MINIMIZED Then EL_Forms(Cur_List).WindowState = NORMAL
    EL_Forms(Cur_List).Show
    If frmProp.Visible Then frmProp.Show
    If frmEdit.Visible Then frmEdit.Show
    EL_Forms(Cur_List).Show
End Sub

Sub lstMacros_KeyPress (KeyAscii As Integer)
    If KeyAscii = 13 Then lstMacros_DblClick
    If KeyAscii = 32 Then
        If frmProp.WindowState = MINIMIZED Then
            frmProp.WindowState = NORMAL
        End If
        frmProp.Show
    End If
End Sub

Sub lstMacros_MouseDown (Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 2 Then Show_Help 400
End Sub

