'   RECEDIT.BI
'   Source code module for RecEdit, Version 1.0
'   Copyright  1995 Ziff-Davis Publishing Company.
'   All rights reserved.
'   First appeared in PC Magazine, US Edition, October 24, 1995.
DefInt A-Z
' Key Codes
Global Const KEY_LBUTTON = &H1
Global Const KEY_RBUTTON = &H2
Global Const KEY_CANCEL = &H3
Global Const KEY_MBUTTON = &H4    ' NOT contiguous with L & RBUTTON
Global Const KEY_BACK = &H8
Global Const KEY_TAB = &H9
Global Const KEY_CLEAR = &HC
Global Const KEY_RETURN = &HD
Global Const KEY_SHIFT = &H10
Global Const KEY_CONTROL = &H11
Global Const KEY_MENU = &H12
Global Const KEY_PAUSE = &H13
Global Const KEY_CAPITAL = &H14
Global Const KEY_ESCAPE = &H1B
Global Const KEY_SPACE = &H20
Global Const KEY_PRIOR = &H21
Global Const KEY_NEXT = &H22
Global Const KEY_END = &H23
Global Const KEY_HOME = &H24
Global Const KEY_LEFT = &H25
Global Const KEY_UP = &H26
Global Const KEY_RIGHT = &H27
Global Const KEY_DOWN = &H28
Global Const KEY_SELECT = &H29
Global Const KEY_PRINT = &H2A
Global Const KEY_EXECUTE = &H2B
Global Const KEY_SNAPSHOT = &H2C
Global Const KEY_INSERT = &H2D
Global Const KEY_DELETE = &H2E
Global Const KEY_HELP = &H2F

' KEY_A thru KEY_Z are the same as their ASCII equivalents: 'A' thru 'Z'
' KEY_0 thru KEY_9 are the same as their ASCII equivalents: '0' thru '9'

Global Const KEY_NUMPAD0 = &H60
Global Const KEY_NUMPAD1 = &H61
Global Const KEY_NUMPAD2 = &H62
Global Const KEY_NUMPAD3 = &H63
Global Const KEY_NUMPAD4 = &H64
Global Const KEY_NUMPAD5 = &H65
Global Const KEY_NUMPAD6 = &H66
Global Const KEY_NUMPAD7 = &H67
Global Const KEY_NUMPAD8 = &H68
Global Const KEY_NUMPAD9 = &H69
Global Const KEY_MULTIPLY = &H6A
Global Const KEY_ADD = &H6B
Global Const KEY_SEPARATOR = &H6C
Global Const KEY_SUBTRACT = &H6D
Global Const KEY_DECIMAL = &H6E
Global Const KEY_DIVIDE = &H6F
Global Const KEY_F1 = &H70
Global Const KEY_F2 = &H71
Global Const KEY_F3 = &H72
Global Const KEY_F4 = &H73
Global Const KEY_F5 = &H74
Global Const KEY_F6 = &H75
Global Const KEY_F7 = &H76
Global Const KEY_F8 = &H77
Global Const KEY_F9 = &H78
Global Const KEY_F10 = &H79
Global Const KEY_F11 = &H7A
Global Const KEY_F12 = &H7B
Global Const KEY_F13 = &H7C
Global Const KEY_F14 = &H7D
Global Const KEY_F15 = &H7E
Global Const KEY_F16 = &H7F

Global Const KEY_NUMLOCK = &H90
Global Const KEY_SCROLL = &H91
' WindowState
Global Const NORMAL = 0    ' 0 - Normal
Global Const MINIMIZED = 1 ' 1 - Minimized
Global Const MAXIMIZED = 2 ' 2 - Maximized

' Check Value
Global Const UNCHECKED = 0 ' 0 - Unchecked
Global Const CHECKED = 1   ' 1 - Checked
Global Const GRAYED = 2    ' 2 - Grayed

' Function Parameters
' MsgBox parameters
Global Const MB_OK = 0                 ' OK button only
Global Const MB_OKCANCEL = 1           ' OK and Cancel buttons
Global Const MB_ABORTRETRYIGNORE = 2   ' Abort, Retry, and Ignore buttons
Global Const MB_YESNOCANCEL = 3        ' Yes, No, and Cancel buttons
Global Const MB_YESNO = 4              ' Yes and No buttons
Global Const MB_RETRYCANCEL = 5        ' Retry and Cancel buttons

Global Const MB_ICONSTOP = 16          ' Critical message
Global Const MB_ICONQUESTION = 32      ' Warning query
Global Const MB_ICONEXCLAMATION = 48   ' Warning message
Global Const MB_ICONINFORMATION = 64   ' Information message

Global Const MB_APPLMODAL = 0          ' Application Modal Message Box
Global Const MB_DEFBUTTON1 = 0         ' First button is default
Global Const MB_DEFBUTTON2 = 256       ' Second button is default
Global Const MB_DEFBUTTON3 = 512       ' Third button is default
Global Const MB_SYSTEMMODAL = 4096      'System Modal

' MsgBox return values
Global Const IDOK = 1                  ' OK button pressed
Global Const IDCANCEL = 2              ' Cancel button pressed
Global Const IDABORT = 3               ' Abort button pressed
Global Const IDRETRY = 4               ' Retry button pressed
Global Const IDIGNORE = 5              ' Ignore button pressed
Global Const IDYES = 6                 ' Yes button pressed
Global Const IDNO = 7                  ' No button pressed

'Common Dialog Control
'Action Property
Global Const DLG_FILE_OPEN = 1
Global Const DLG_FILE_SAVE = 2
Global Const DLG_COLOR = 3
Global Const DLG_FONT = 4
Global Const DLG_PRINT = 5
Global Const DLG_HELP = 6

'File Open/Save Dialog Flags
Global Const OFN_READONLY = &H1&
Global Const OFN_OVERWRITEPROMPT = &H2&
Global Const OFN_HIDEREADONLY = &H4&
Global Const OFN_NOCHANGEDIR = &H8&
Global Const OFN_Show_Help = &H10&
Global Const OFN_NOVALIDATE = &H100&
Global Const OFN_ALLOWMULTISELECT = &H200&
Global Const OFN_EXTENSIONDIFFERENT = &H400&
Global Const OFN_PATHMUSTEXIST = &H800&
Global Const OFN_FILEMUSTEXIST = &H1000&
Global Const OFN_CREATEPROMPT = &H2000&
Global Const OFN_SHAREAWARE = &H4000&
Global Const OFN_NOREADONLYRETURN = &H8000&

'Help Constants
Global Const HELP_CONTEXT = &H1           'Display topic in ulTopic
Global Const HELP_QUIT = &H2              'Terminate help
Global Const HELP_INDEX = &H3             'Display index
Global Const HELP_CONTENTS = &H3
Global Const HELP_HELPONHELP = &H4        'Display help on using help
Global Const HELP_SETINDEX = &H5          'Set the current Index for multi index help
Global Const HELP_SETCONTENTS = &H5
Global Const HELP_CONTEXTPOPUP = &H8
Global Const HELP_FORCEFILE = &H9
Global Const HELP_KEY = &H101             'Display topic for keyword in offabData
Global Const HELP_COMMAND = &H102
Global Const HELP_PARTIALKEY = &H105      'call the search engine in winhelp

'Error Constants
Global Const CDERR_DIALOGFAILURE = -32768

Global Const CDERR_GENERALCODES = &H7FFF
Global Const CDERR_STRUCTSIZE = &H7FFE
Global Const CDERR_INITIALIZATION = &H7FFD
Global Const CDERR_NOTEMPLATE = &H7FFC
Global Const CDERR_NOHINSTANCE = &H7FFB
Global Const CDERR_LOADSTRFAILURE = &H7FFA
Global Const CDERR_FINDRESFAILURE = &H7FF9
Global Const CDERR_LOADRESFAILURE = &H7FF8
Global Const CDERR_LOCKRESFAILURE = &H7FF7
Global Const CDERR_MEMALLOCFAILURE = &H7FF6
Global Const CDERR_MEMLOCKFAILURE = &H7FF5
Global Const CDERR_NOHOOK = &H7FF4

'Added for CMDIALOG.VBX
Global Const CDERR_CANCEL = &H7FF3
Global Const CDERR_NODLL = &H7FF2
Global Const CDERR_ERRPROC = &H7FF1
Global Const CDERR_ALLOC = &H7FF0
Global Const CDERR_HELP = &H7FEF

'Constants used by GetWindow
Global Const GW_CHILD = 5
Global Const GW_HWNDFIRST = 0
Global Const GW_HWNDLAST = 1
Global Const GW_HWNDNEXT = 2
Global Const GW_HWNDPREV = 3
Global Const GW_OWNER = 4

'Structure definitions

Type FILE_HEADER
    FileID As Long
	'File ID DWORD; always &H61776
    MacroInfoPtr As Long
	'Pointer to Macro data block.
    MacroCount As Integer
	'Number of macros in the file.
End Type

Type EVENT_RECORD
    EventType As String * 1
	'VALUE  KEYBOARD     MOUSE
	'00     Key Down     Move
	'01     Key Up       Left Button down
	'02     N/A          Left Button up
	'03     N/A          N/A
	'04     SysKey Down  Right Button down
	'05     SysKey Up    Right Button up
    EventClass As String * 1
	' 0 = header record
	' 1 = Keyboard event
	' 2 = Mouse event
    MouseX As Integer
	'For Keyboard events, low-order byte is Virtual Key code
	'and high-order byte is keyboard scan code
    MouseY As Integer
	'Has no special meaning for keyboard events.
    Delay As Integer
	'Time delay (stored value is multiplied by 55ms)
    wIDPtr As Integer
	'This pointer is relative to the start of the Event list header.
	'Since it is only a WORD pointer, 64K is the limit for the data
	'size of any one macro's event list.
End Type

Type EVENT_ARRAY_RECORD
    owner As Integer
    ER As EVENT_RECORD
End Type

Type MACRO_RECORD
    Keycode As String * 1 ' Virtual key code for macro shortcut key.
    ShiftMask As String * 1 ' Bit fields.
	'Bit    Set     Reset
	' 0 = Shift \
	' 1 = Ctrl   > Shift modifiers for shortcut key
	' 2 = Alt   /  Set = pressed, Reset = not.
	' 3 = Screen     Window   (mouse is relative to...)
	' 4 = Same App   Any App  (playback to...)
	' 5 = Fast       As recorded (playback speed)
	' 6 = Enabled    Disabled    (shortcut keys)
	' 7 = Continuous Single   (loop mode)
    InitShift As String * 1 ' Bit fields determine state of keyboard toggles at macro start.
	' 0 = Caps Lock
	' 1 = Num Lock
	' 2 = Scroll Lock
	' 3-7 = Unused
    EventDataSize As Integer
	'Size of the macro's event data, including all event records
	'and window ID strings.
    ELptr As Long
	'Pointer to event list data.
    DescLen As Integer
	'Length of macro description including terminating null
    DescPtr As Long
	'Offset ID word for macro description string data.
	'NULL if macro has no description.
    DisplayX As Integer
	'Screen width in pixels
	'0 if macro has no mouse events.
    DisplayY As Integer
	'Screen height in pixels
    Title As String * 41
	'Macro title as ASCIIZ string.
End Type

Type MACRO_ARRAY_RECORD
    MR As MACRO_RECORD
    ELP As Integer
    ' Index into E_List() array for macro's event header
End Type

Type WINDOW_ID_DATA
    owner As Integer ' Which macro the descriptor belongs to.
    Ptr As Integer ' File offset for string; used at load time to identify duplicates.
End Type

Type EVENT_LIST_STATUS      ' Status data for event list windows.
    m As Integer    ' Current macro number
    s As Integer    ' Current macro step.
    o As Integer    ' Index to first event record in E_List() array.
End Type

' Structure required for some Windows API calls
Type TASK_ENTRY
    dwSize As Long
    hTask As Integer
    hTaskParent As Integer
    hInst As Integer
    hModule As Integer
    wSS As Integer
    wSP As Integer
    wStackTop As Integer
    wStackMinimum As Integer
    wStackBottom As Integer
    wcEvents As Integer
    hQueue As Integer
    ModuleName As String * 10
    wPSPOffset As Integer
    hNext As Integer
End Type

'Function Declarations for Windows API calls
'INI file functions
Declare Function API_GPPInt Lib "KERNEL" Alias "GetPrivateProfileInt" (ByVal lpSection As String, ByVal lpKeyName As String, ByVal nDefault As Integer, ByVal lpFileName As String) As Integer
Declare Function API_GPPString Lib "KERNEL" Alias "GetPrivateProfileString" (ByVal lpSection As String, ByVal lpKeyName As String, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Integer, ByVal lpFileName As String) As Integer
Declare Function API_WPPString Lib "KERNEL" Alias "WritePrivateProfileString" (ByVal lpSection As String, ByVal lpKeyName As String, ByVal lpString As String, ByVal lplFileName As String) As Integer
'Window information functions
Declare Function API_GetTop Lib "USER" Alias "GetTopWindow" (ByVal hWnd As Integer) As Integer
Declare Function API_ClassName Lib "USER" Alias "GetClassName" (ByVal hWnd As Integer, ByVal buffer$, ByVal buflen As Integer) As Integer
Declare Function API_GetTask Lib "USER" Alias "GetWindowTask" (ByVal hWnd As Integer) As Integer
Declare Function API_GetWindow Lib "USER" Alias "GetWindow" (ByVal hWnd As Integer, ByVal wCmd As Integer) As Integer
Declare Function API_FindTask Lib "TOOLHELP.DLL" Alias "TaskFindHandle" (te As TASK_ENTRY, ByVal hTask As Integer) As Integer
Declare Function API_IsVisible Lib "USER" Alias "IsWindowVisible" (ByVal hWnd As Integer) As Integer
Declare Sub API_Beep Lib "USER" Alias "MessageBeep" (ByVal wType As Integer)

' Constants for file block IDs
Global Const EVENT_ID_WORD = &H1789
Global Const MACRO_ID_WORD = &H1969
Global Const DESCR_ID_WORD = &H1492


