VERSION 2.00
Begin Form frmEvents 
   Caption         =   "Event List"
   ClientHeight    =   3180
   ClientLeft      =   2595
   ClientTop       =   3045
   ClientWidth     =   4845
   Height          =   3585
   HelpContextID   =   600
   Icon            =   RECEVENT.FRX:0000
   KeyPreview      =   -1  'True
   Left            =   2535
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   3180
   ScaleWidth      =   4845
   Top             =   2700
   Visible         =   0   'False
   Width           =   4965
   Begin PictureBox pctDummy 
      Height          =   555
      Left            =   1350
      ScaleHeight     =   525
      ScaleWidth      =   1830
      TabIndex        =   7
      Top             =   2565
      Visible         =   0   'False
      Width           =   1860
   End
   Begin PictureBox pctMultiple 
      Height          =   1095
      HelpContextID   =   601
      Left            =   1170
      ScaleHeight     =   1065
      ScaleWidth      =   2505
      TabIndex        =   1
      Top             =   540
      Visible         =   0   'False
      Width           =   2535
      Begin ComboBox cmbWid 
         FontBold        =   0   'False
         FontItalic      =   0   'False
         FontName        =   "MS Sans Serif"
         FontSize        =   8.25
         FontStrikethru  =   0   'False
         FontUnderline   =   0   'False
         Height          =   300
         Left            =   270
         TabIndex        =   3
         Text            =   "cmbWid"
         Top             =   315
         Width           =   1950
      End
      Begin CommandButton cmdCancel 
         Cancel          =   -1  'True
         Caption         =   "&Cancel"
         Height          =   330
         Left            =   1485
         TabIndex        =   6
         Top             =   675
         Width           =   735
      End
      Begin CommandButton cmdOK 
         Caption         =   "&OK"
         Height          =   330
         Left            =   270
         TabIndex        =   5
         Top             =   675
         Width           =   645
      End
      Begin TextBox txtDelay 
         Height          =   375
         Left            =   270
         TabIndex        =   4
         Top             =   270
         Width           =   1950
      End
      Begin Label lblPrompt 
         Alignment       =   2  'Center
         Caption         =   "Set Window ID for selected items:"
         FontBold        =   0   'False
         FontItalic      =   0   'False
         FontName        =   "MS Sans Serif"
         FontSize        =   8.25
         FontStrikethru  =   0   'False
         FontUnderline   =   0   'False
         Height          =   240
         Left            =   45
         TabIndex        =   2
         Top             =   45
         Width           =   2475
      End
   End
   Begin ListBox lstEvents 
      Height          =   2370
      HelpContextID   =   600
      Left            =   0
      MultiSelect     =   2  'Extended
      Sorted          =   -1  'True
      TabIndex        =   0
      Top             =   0
      Width           =   4845
   End
End
'   RECEVENT.FRM
'   Source code module for RecEdit, Version 1.0
'   Copyright  1995 Ziff-Davis Publishing Company.
'   All rights reserved.
'   First appeared in PC Magazine, US Edition, October 24, 1995.
Option Explicit
DefInt A-Z
Dim Shared loadflag, del_pressed, ins_pressed, default_ID
' Note: This form's KeyPreview property must be set to True.

Sub AskGlobalDelay ()
    'Disable main list
    lstEvents.Enabled = False
    'Set prompt and default settings
    lblPrompt = "Set delay for selected items:"
    txtDelay = "0"
    txtDelay.SelLength = Len(txtDelay)
    'Hide window ID combo box
    cmbWid.Visible = False
    'Make the box visible
    txtDelay.Visible = True
    pctMultiple.Visible = True
    SetEditMenu
    txtDelay.SetFocus
End Sub

Sub AskGlobalWindow ()
Dim i
    'If the event list is empty, we're done.
    If lstEvents.ListCount < 2 Then Exit Sub
    'Determine the default listbox selection.
    'Find the first selected event
    For i = 0 To lstEvents.ListCount - 2
        If lstEvents.Selected(i) Then Exit For
    Next i
    'No events selected?
    If i > lstEvents.ListCount - 2 Then
        API_Beep MB_ICONEXCLAMATION
        MsgBox "There are no events selected.", MB_ICONEXCLAMATION, "RecEdit"
        Exit Sub
    Else
        default_ID = E_List(EL_Data(Cur_List).o + i + 1).ER.wIDPtr
    End If
    'Prevent event cascade when listbox ListIndex property is changed.
    loadflag = True
    'Load the list box.
    Load_ID_Combo cmbWid, default_ID
    txtDelay.Visible = False
    lblPrompt = "Set Window ID for selected items:"
    'Enable the combo and message boxes.
    cmbWid.Visible = True
    pctMultiple.Visible = True
    cmbWid.Enabled = True
    'Disable the event list.
    lstEvents.Enabled = False
    'Disable clipboard functions.
    SetEditMenu
    cmbWid.SetFocus
    loadflag = False
End Sub

Sub cmbWid_Click ()
Dim w$, i, x
    'Ignore clicks if we're being set remotely.
    If loadflag Then Exit Sub
    'Did the user select (Master List)?
    If cmbWid.ListIndex = 0 Then
        'Make sure we don't call ourselves when we set the list box Index property.
        loadflag = True
        'Show the master list.
        frmMasterID.Top = frmMain.Top + frmMain.Height - frmMain.ScaleHeight + Top + (Height - frmMasterID.Height) / 2
        frmMasterID.Left = frmMain.Left + Left + (Width - frmMasterID.Width) / 2
        frmMasterID.Show 1
        'If user didn't cancel,
        If frmMasterID!cmbMasterID.ListIndex <> -1 Then
            'Get the selectd ID string from the box.
            w$ = frmMasterID!cmbMasterID.Text
            If w$ = "WINDOWS!Desktop" Then w$ = Chr$(13)
            'See if it already exists in our list.
            x = Find_Window_ID(w$, EL_Data(Cur_List).m)
            If x = 0 Then
                'If not, place it in the text portion of the
                'combo box and signal manual entry.
                cmbWid.Text = frmMasterID!cmbMasterID.Text
                cmbWid.ListIndex = -1
            Else
                'If it does exist, make sure the corresponding entry in our list is selected.
                For i = 1 To cmbWid.ListCount - 1
                    If cmbWid.ItemData(i) = x Then
                        cmbWid.ListIndex = i
                        Exit For
                    End If
                Next i
            End If
        Else
            'If user cancelled from the Master ID list,
            'restore the original selection
            For i = 1 To cmbWid.ListCount - 1
                If cmbWid.ItemData(i) = default_ID Then
                    cmbWid.ListIndex = i
                    Exit For
                End If
            Next i
        End If
        loadflag = False
    Else
        default_ID = cmbWid.ItemData(cmbWid.ListIndex)
    End If
End Sub

Sub cmdCancel_Click ()
    pctMultiple.Visible = False
    lstEvents.Enabled = True
    SetEditMenu
End Sub

Sub cmdCancel_MouseDown (Button As Integer, Shift As Integer, x As Single, Y As Single)
    If Button = 2 Then Show_Help 601
End Sub

Sub cmdOK_Click ()
Dim w$, x
    'Did user enter "(Master List)" manually?
    If cmbWid.ListIndex = -1 Then
        If InStr(UCase$(cmbWid.Text), "(MASTER LIST)") <> 0 Then
            'Activate the master list
            '(Click() event is generated for cmbWid when we force the list index)
            cmbWid.ListIndex = 0
            Exit Sub
        End If
    End If
    'Handle confirmation prompt if necessary.
    If frmMain!mnuConfirmMult.Checked Then
        If Confirm_Del() = IDCANCEL Then
            'Hide mult-mode box.
            pctMultiple.Visible = False
            'Turn event list box back on.
            lstEvents.Enabled = True
            'Reset the Edit menu
            SetEditMenu
            'Done
            Exit Sub
        End If
    End If
    If txtDelay.Visible Then
        SetParm 1, L_to_I(Val(txtDelay) / 55)
    Else
        'Was ID picked directly from our list?
        If cmbWid.ListIndex <> -1 Then
            'Install it.
            SetParm 2, CInt(cmbWid.ItemData(cmbWid.ListIndex))
        'If not, user either typed it manually or
        'selected from the Master ID list, so
        Else
            'Get text of id.
            w$ = RTrim$(cmbWid.Text)
            'Perform conversion for desktop ID.
            If w$ = "WINDOWS!Desktop" Then w$ = Chr$(13)
            'See if it's already in our list.
            x = Find_Window_ID(w$, EL_Data(Cur_List).m)
            If x = 0 Then
                'If not, add it to our list.
                x = Insert_Window_ID(w$, EL_Data(Cur_List).m)
            End If
            'Apply the new setting.
            SetParm 2, x
        End If
    End If
    SetEditMenu
End Sub

Sub cmdOK_MouseDown (Button As Integer, Shift As Integer, x As Single, Y As Single)
    If Button = 2 Then Show_Help 601
End Sub

Sub Form_Activate ()
Dim t$, i
    loadflag = True
    'Disable edit menu entries that don't apply to us.
    frmMain!mnuEditDelMacro = False
    If Not (frmMain.ActiveForm Is EL_Forms(Cur_List)) Then
        'User has activated us directly, and we are not the
        'same event list that was last activated, so reset
        'the current list index
        For i = 1 To Num_Lists
            If frmMain.ActiveForm Is EL_Forms(i) Then
                Cur_List = i
                Exit For
            End If
        Next i
        'Just to be safe, make sure our Event array offset
        'is up to date
        EL_Data(Cur_List).o = M_List(EL_Data(Cur_List).m).ELP
        Step_Count = E_List(EL_Data(Cur_List).o).ER.MouseX - 1
        'If macro is empty, there is no first step, otherwise
        'set the first event in the macro as current.
        If Step_Count < 1 Then
            EL_Data(Cur_List).s = 0
        Else
            EL_Data(Cur_List).s = 1
        End If
    End If
    'Make sure macro list points to the macro that we contain.
    If frmMacro!lstMacros.ListIndex <> EL_Data(Cur_List).m - 1 Then
        frmMacro!lstMacros.ListIndex = EL_Data(Cur_List).m - 1
    End If
    loadflag = False
    'Enable/Disable the Menu Cut/Copy/Paste items as appropriate
    SetEditMenu
End Sub

Sub Form_KeyDown (KeyCode As Integer, Shift As Integer)
Dim i
    ' Ignore keystrokes if the window is in Global Delay Set Mode
    If pctMultiple.Visible Then Exit Sub
    ' Handle keystrokes
    Select Case KeyCode
        Case &H44   '{D}
            If Shift Then Exit Sub
            AskGlobalDelay
        Case &H53   '{S}
            If Shift Then Exit Sub
            SwapEvents
        Case &H57   '{W}
            If Shift Then Exit Sub
            AskGlobalWindow
        Case KEY_DELETE     '{Del}
            'Already pressed? Ignore repeat.
            If del_pressed Then Exit Sub
            'Set flag
            del_pressed = True
            Select Case Shift
                Case 1  '{Shift+Del}
                    ' Cut to clipboard if so
                    Copy_Events
                    Delete_Events
                Case 0  '{Del}
                    'Confirmations on?
                    If frmMain!mnuConfirmMacro.Checked Then
                        del_pressed = False
                        If Confirm_Del() = IDCANCEL Then Exit Sub
                    End If
                    'Delete without affecting clipboard.
                    Delete_Events
            End Select
        Case KEY_INSERT '{Ins}
            If ins_pressed Then Exit Sub
            Select Case Shift
                Case 1  '{Shift+Ins}
                    If Clip_Rec_Count = 0 Then Exit Sub
                    Paste_Events
                Case 2  '{Ctrl+Ins}
                    If lstEvents.ListCount < 2 Then Exit Sub
                    Copy_Events
                    For i = 0 To lstEvents.ListCount - 1
                        If lstEvents.Selected(i) Then
                            lstEvents.Selected(i) = False
                        End If
                    Next i
                    lstEvents.Selected(lstEvents.ListIndex) = True
            End Select
    End Select
End Sub

Sub Form_KeyUp (KeyCode As Integer, Shift As Integer)
    Select Case KeyCode
        Case KEY_DELETE
            del_pressed = False
        Case KEY_INSERT
            ins_pressed = False
    End Select
End Sub

Sub Form_MouseDown (Button As Integer, Shift As Integer, x As Single, Y As Single)
    If Button = 2 Then Show_Help 600
End Sub

Sub Form_QueryUnload (Cancel As Integer, UnloadMode As Integer)
Static i
    ' Closed by user?
    If UnloadMode = 0 Then
        'Are we the only list?
        If Num_Lists = 1 Then
            'Minimize instead.
            WindowState = MINIMIZED
            Cancel = True
            Set_Active_Window
            Exit Sub
        'Are we the _last_ list?
        ElseIf Cur_List = Num_Lists Then
            'If so, reduce array size.
            Num_Lists = Num_Lists - 1
            Cur_List = Cur_List - 1
        Else
            'Otherwise, remove ourselves from the arrays and close the gap.
            Num_Lists = Num_Lists - 1
            For i = Cur_List To Num_Lists
                Set EL_Forms(i) = EL_Forms(i + 1)
                EL_Data(i) = EL_Data(i + 1)
            Next i
        End If
        'Resize the arrays.
        ReDim Preserve EL_Forms(1 To Num_Lists), EL_Data(1 To Num_Lists)
    End If
End Sub

Sub Form_Resize ()
'Resize the list box to fill the window interior.
'Also make sure that the current record is visible at
'or near the middle of the list.
Dim l, h, lh
    If loadflag Then Exit Sub
    If WindowState = MINIMIZED Then Exit Sub
    loadflag = True
    'Get height of a line of text
    lh = pctMultiple.TextHeight("A")
    'Make sure we're large enough to hold the multiple change box.
    If WindowState <> MAXIMIZED Then
        If Height < frmMasterID.Height + 800 Then
            Height = frmMasterID.Height + 800
        End If
        If Width <= frmMasterID.Width + 400 Then
            Width = frmMasterID.Width + 400
        End If
    End If
    'Size the list box to fill the window
    lstEvents.Top = 0
    lstEvents.Left = 0
    lstEvents.Width = ScaleWidth
    lstEvents.Height = ScaleHeight
    'Adjust window size to "snug it up" to the list box;
    'List boxes auto-adjust their height so that the bottom
    'row of text is not cut off.
    If WindowState = NORMAL Then
        If lstEvents.Height < ScaleHeight Then
            Height = Height - (ScaleHeight - lstEvents.Height)
        End If
    End If
    loadflag = False
    'If list is empty, there's nothing to do
    If lstEvents.ListCount < 2 Then Exit Sub
    'Get height of window in lines
    h = lstEvents.Height / lh
    'And the midpoint
    l = h / 2
    'Center the current line if possible
    If h < 3 Then
        lstEvents.TopIndex = lstEvents.ListIndex
    ElseIf lstEvents.ListIndex > l Then
        lstEvents.TopIndex = lstEvents.ListIndex - l + 1
    Else
        lstEvents.TopIndex = 0
    End If
    'Center the multiple-change box over the list box
    pctMultiple.Left = (ScaleWidth / 2) - pctMultiple.Width / 2
    pctMultiple.Top = (ScaleHeight / 2) - (pctMultiple.Height / 2)
End Sub

Sub lblPrompt_MouseDown (Button As Integer, Shift As Integer, x As Single, Y As Single)
    If Button = 2 Then Show_Help 601
End Sub

Sub lstEvents_DblClick ()
'Set the Event Editor step number to match the selected
'step, then set the focus to the Event Editor window
Dim l
    l = lstEvents.ListCount
    'If DblClick happens on the "9999 end" record,
    If lstEvents.ListIndex = l - 1 Then
        'If there's more than one item in the list
        If l > 1 Then
            'Shift the focus to the last "real" event line.
            lstEvents.Selected(l - 1) = False
            lstEvents.Selected(l - 2) = True
            lstEvents.ListIndex = l - 2
            EL_Data(Cur_List).s = l - 1
        Else
            EL_Data(Cur_List).s = 0
        End If
    End If
    If frmEdit.WindowState = MINIMIZED Then
        frmEdit.WindowState = NORMAL
    End If
    frmEdit.Show
End Sub

Sub lstEvents_KeyPress (KeyAscii As Integer)
    If KeyAscii = 13 Then
        lstEvents_DblClick
        KeyAscii = 0
    End If
End Sub

Sub lstEvents_MouseDown (Button As Integer, Shift As Integer, x As Single, Y As Single)
    If Button = 2 Then Show_Help 600
End Sub

Sub pctMultiple_MouseDown (Button As Integer, Shift As Integer, x As Single, Y As Single)
    If Button = 2 Then Show_Help 601
End Sub

Sub SetEditMenu ()
    'Controls Edit Menu appearance
    'Are we in multiple change mode?
    If Not pctMultiple.Visible Then
        'Normal settings if not
        frmMain!mnuEditCut = lstEvents.ListCount > 1
        frmMain!mnuEditCopy = lstEvents.ListCount > 1
        frmMain!mnuEditPaste = Clip_Rec_Count <> 0
    Else
        'Otherwise turn off Cut/Paste/Copy.
        frmMain!mnuEditCut = False
        frmMain!mnuEditPaste = False
        frmMain!mnuEditCopy = False
    End If
End Sub

Sub SetParm (which, value)
' Sets specified parameter for all selected events.
' Argument "which" determines which
' parameter will be set to the argument "value":
'   1=Delay, 2=Window ID.
Dim i, cl, t, c
    'Nothing to do if list is empty
    If lstEvents.ListCount < 2 Then Exit Sub
    'Set hourglass mouse pointer.
    MousePointer = 11
    'Create an array to preserve the selection state
    c = lstEvents.ListCount - 2
    ReDim sel(0 To c)
    'Save list box position
    cl = lstEvents.ListIndex
    t = lstEvents.TopIndex
    'Scan through the list.
    For i = 0 To c
        'If event is selectd,
        If lstEvents.Selected(i) Then
            'Save its status
            sel(i) = True
            'Set new parameter
            Select Case which
                Case 1  'Set Global delay
                    E_List(EL_Data(Cur_List).o + i + 1).ER.Delay = value
                Case 2  'Set Global Window ID
                    E_List(EL_Data(Cur_List).o + i + 1).ER.wIDPtr = value
            End Select
        End If
    Next i
    Data_Changed = True
    'Rebuild the list.
    Build_Event_List EL_Data(Cur_List).m
    'Restore selection status
    For i = 0 To c
        lstEvents.Selected(i) = sel(i)
    Next i
    Erase sel
    'Restore list position.
    lstEvents.ListIndex = cl
    lstEvents.TopIndex = t
    'Hide multiple-change box
    pctMultiple.Visible = False
    'Re-enable the event list
    lstEvents.Enabled = True
    'Restore normal mouse pointer.
    MousePointer = 0
End Sub

Sub SwapEvents ()
Dim s1, offset, l, t, e As EVENT_ARRAY_RECORD
    'Nothing to do if < 2 events.
    If lstEvents.ListCount < 3 Then Exit Sub
    'Or if current record is "9999 End"
    If lstEvents.ListIndex > (lstEvents.ListCount - 3) Then Exit Sub
    'Preserve list position
    l = lstEvents.ListIndex
    t = lstEvents.TopIndex
    'Move selection to follow the swapped record
    EL_Data(Cur_List).s = l + 2
    'Swap the records
    s1 = EL_Data(Cur_List).o + l + 1
    e = E_List(s1)
    E_List(s1) = E_List(s1 + 1)
    E_List(s1 + 1) = e
    'Set save-on-exit flag and rebuild the list.
    Data_Changed = True
    Build_Event_List Current_Macro
    'Reset list position.
    lstEvents.TopIndex = t + 1
End Sub

Sub txtDelay_KeyPress (KeyAscii As Integer)
'Mask out all keystrokes in the Delay box except for
'digits and {Enter}
    If KeyAscii = 13 Then
        KeyAscii = 0
        cmdOK.SetFocus
        Exit Sub
    End If
    If (KeyAscii < 48 Or KeyAscii > 57) And KeyAscii <> 8 Then
        KeyAscii = 0
    End If
End Sub

Sub txtDelay_LostFocus ()
    ValidateDelay
End Sub

Sub txtDelay_MouseDown (Button As Integer, Shift As Integer, x As Single, Y As Single)
    If Button = 2 Then Show_Help 601
End Sub

Sub ValidateDelay ()
Dim d As Variant
' Use a Variant to avoid overflow problems
    d = Int(Val(txtDelay) / 55)
    If d < 0 Or d > 65535 Then
        Un_Minimize Me
        API_Beep MB_ICONEXCLAMATION
        MsgBox "Invalid delay value", MB_ICONEXCLAMATION, APP_TITLE
        txtDelay.SetFocus
    Else
        txtDelay = d * 55
    End If
End Sub

