VERSION 2.00
Begin Form frmMasterID 
   BorderStyle     =   3  'Fixed Double
   Caption         =   "Master Window ID List"
   ClientHeight    =   1965
   ClientLeft      =   4065
   ClientTop       =   4200
   ClientWidth     =   3600
   ControlBox      =   0   'False
   Height          =   2370
   HelpContextID   =   711
   Left            =   4005
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1965
   ScaleWidth      =   3600
   Top             =   3855
   Visible         =   0   'False
   Width           =   3720
   Begin CommandButton cmdOK 
      Caption         =   "&OK"
      Default         =   -1  'True
      Height          =   375
      HelpContextID   =   711
      Left            =   45
      TabIndex        =   3
      Top             =   1440
      Width           =   1320
   End
   Begin CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "&Cancel"
      Height          =   375
      HelpContextID   =   711
      Left            =   1800
      TabIndex        =   2
      Top             =   1440
      Width           =   1725
   End
   Begin ComboBox cmbMasterID 
      Height          =   300
      HelpContextID   =   711
      Left            =   45
      Sorted          =   -1  'True
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   945
      Width           =   3525
   End
   Begin Label lblMaster 
      Alignment       =   2  'Center
      Caption         =   "Select an ID from the list, then either click the OK button or press {Enter}.    To restore the original setting, either click the Cancel button or press {Esc}."
      Height          =   825
      Left            =   45
      TabIndex        =   0
      Top             =   45
      Width           =   3525
   End
End
'   RECID.FRM
'   Source code module for RecEdit, Version 1.0
'   Copyright  1995 Ziff-Davis Publishing Company.
'   All rights reserved.
'   First appeared in PC Magazine, US Edition, October 24, 1995.
Option Explicit
DefInt A-Z
Dim Shared Task As TASK_ENTRY

Sub AddToBox (hWnd)
'Subroutine determines the window ID string for the specified window
'and adds it to the list box if it isn't already there.
Dim i, flag, X, t, cn$, mn$, id$
    'Get the window's task handle
    t = API_GetTask(hWnd)
    'and its class name.
    cn$ = Space$(256)
    X = API_ClassName(hWnd, cn$, 255)
    cn$ = Left$(cn$, X)
    'Retrieve the task info
    X = API_FindTask(Task, t)
    X = InStr(Task.ModuleName, NUL)
    'Extract the module name.
    If X Then
        mn$ = Left$(Task.ModuleName, X - 1)
    Else
        mn$ = Task.ModuleName
    End If
    'Don't include our own windows in the list!
    If mn$ <> App.EXEName Then
        'Build the string from the module and class names.
        id$ = mn$ & "!" & cn$
        'If the list is empty, go ahead and add the string.
        If cmbMasterID.ListCount = 0 Then
            cmbMasterID.AddItem id$
        Else
            'Otherwise, see if the string is already there.
            flag = False
            For i = 0 To cmbMasterID.ListCount - 1
                If cmbMasterID.List(i) = id$ Then
                    flag = True
                    Exit For
                End If
            Next i
            'If it isn't, add it to the list.
            If Not flag Then
                cmbMasterID.AddItem id$
            End If
        End If
    End If
End Sub

Sub cmdCancel_Click ()
    cmbMasterID.ListIndex = -1
    Hide
End Sub

Sub cmdCancel_MouseDown (Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 2 Then Show_Help 711
End Sub

Sub cmdOK_Click ()
    Hide
End Sub

Sub cmdOK_MouseDown (Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 2 Then Show_Help 711
End Sub

Sub Form_Activate ()
    'Top = frmMain.Top + frmMain.Height - frmMain.ScaleHeight + frmEdit.Top + (frmEdit.Height - Height) / 2
    'Left = frmMain.Left + frmEdit.Left + (frmEdit.Width - Width) / 2
    GetWindowNames
    cmbMasterID.ListIndex = 0
    cmbMasterID.SetFocus
End Sub

Sub Form_Load ()
    'Initialize the TASK_ENTRY structure
    Task.dwSize = Len(Task)
End Sub

Sub Form_MouseDown (Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 2 Then Show_Help 711
End Sub

Sub GetChildNames (hWnd)
'Recursive subroutine gets the Module and Class Name of
'all child windows belonging to the specified window.
'This function is nearly identical to GetWindowNames
'except that it starts by finding the first child of
'the specified window instead of the first top-level window
'on the desktop.
Dim curWin
    'Get handle for first child of the target window.
    'If window has no children, GetWindow() returns 0
    curWin = API_GetWindow(hWnd, GW_CHILD)
    Do Until curWin = 0
        If API_IsVisible(curWin) Then
            AddToBox curWin
        End If
        GetChildNames curWin
        curWin = API_GetWindow(curWin, GW_HWNDNEXT)
    Loop
End Sub

Sub GetWindowNames ()
Dim curWin
    'Get handle for first top-level window on the desktop.
    curWin = API_GetTop(0)
    'Clear the list box
    cmbMasterID.Clear
    Do Until curWin = 0
        'If the window is visible,
        If API_IsVisible(curWin) Then
            'Retrieve the info and add it to the list.
            AddToBox curWin
        End If
        'Get ID's for any children of the current window.
        GetChildNames curWin
        'Continue with next Window in the Window Manager list.
        curWin = API_GetWindow(curWin, GW_HWNDNEXT)
    Loop
    cmbMasterID.AddItem "WINDOWS!Desktop"
End Sub

Sub lblMaster_MouseDown (Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 2 Then Show_Help 711
End Sub

